Name:           backup-manager
Version:        0.7.8
Release:        4%{?dist}
Summary:        A command line backup tool for GNU/Linux

Group:          Applications/System
License:        GPLv2+
URL:            http://www.backup-manager.org
Source0:        http://www.backup-manager.org/download/%{name}-%{version}.tar.gz
Source1:        %{name}.cron.daily
Patch0:         %{name}-%{version}-configtpl.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  gettext
BuildRequires:  perl

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       /bin/bash
Requires:       /usr/bin/cdrecord
Requires:       /usr/bin/logger
Requires:       /usr/bin/mkisofs
Requires:       bc
Requires:       bzip2
Requires:       coreutils
Requires:       dar
Requires:       diffutils
Requires:       dvd+rw-tools
Requires:       less
Requires:       ftp
Requires:       gettext
Requires:       gnupg
Requires:       gzip
Requires:       openssh-clients
Requires:       rsync
Requires:       sed
Requires:       tar
Requires:       which


%description
Backup Manager is a command line backup tool for GNU/Linux, designed to help
you make daily archives of your file system. Written in bash and perl, it can
make archives in lots of open formats (tar, gzip, bzip2, lzma, dar, zip) and
provides lots of interesting features (such as network exports or CD/DVD
automated-burning).

The program is designed to be as easy to use as possible and is popular with
desktop users and sysadmins. The whole backup process is defined in one
full-documented configuration file which needs no more than 5 minutes to tune
for your needs.


%prep
%setup -q
%patch0 -p1 -b .configtpl

# Clean Makefile
sed -i -e "s@install --owner=root --group=root @install @" Makefile

# Replace #!/bin/sh by #!/bin/bash
for file in t/*.sh; do sed -i -e "s@#!/bin/sh@#!/bin/bash@" "$file"; done
for file in doc/user-guide*; do sed -i -e "s@#!/bin/sh@#!/bin/bash@" "$file"; done

# rpmlint : Convert to utf-8
for file in AUTHORS ChangeLog COPYING NEWS README THANKS; do
    mv $file timestamp
    iconv -f ISO-8859-1 -t UTF-8 -o $file timestamp
    touch -r timestamp $file
done


%build
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install \
    DESTDIR=%{buildroot} \
    PERL5DIR=%{buildroot}%{perl_vendorlib} \
    INSTALL="install -p"
%find_lang %{name}

# Create backup directory
install -d %{buildroot}%{_localstatedir}/%{name}

# Copy configuration
install -p -D -m 0644 %{buildroot}%{_datadir}/%{name}/%{name}.conf.tpl \
    %{buildroot}%{_sysconfdir}/%{name}.conf

# Add cron.daily
install -p -D -m 0755 %{SOURCE1} %{buildroot}%{_sysconfdir}/cron.daily/%{name}.cron

# rpmlint : sanitize.sh is a non-executable-script
chmod 755 %{buildroot}%{_datadir}/%{name}/sanitize.sh


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%{_bindir}/%{name}-purge
%{_bindir}/%{name}-upload
%{_sbindir}/%{name}
%{perl_vendorlib}/BackupManager
%{_datadir}/%{name}
%{_mandir}/man8/%{name}*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_sysconfdir}/cron.daily/%{name}.cron
%{_localstatedir}/%{name}


%changelog
* Sun Jul 12 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 0.7.8-4
- Bump release

* Thu Jun 25 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 0.7.8-3
- Add dar in requierement

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb 07 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 0.7.8-1
- Update to 0.7.8
- Remove genisoimage requirement

* Thu Jan 15 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 0.7.7-7
- Replace some sed by a patch
- Replace /bin/sh by /bin/bash

* Wed Jan 13 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 0.7.7-6
- Fix Requires
- Fix use %%{_localstatedir} insted %%{_var}/lib

* Sun Jan 10 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 0.7.7-5
- Fix Requires
- Add  %%{_var}/lib/backup-manager directory
- Use %%{buildroot} insted $RPM_BUILD_ROOT

* Sun Jan 10 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 0.7.7-4
- Fix license
- Fix timestamp in install

* Fri Oct 10 2008 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 0.7.7-3
- Add a daily cron (backup-manager.cron.daily)

* Wed Aug 20 2008 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 0.7.7-2
- utf-8 correction with Iconv
- Configuration file correction

* Sun Aug 17 2008 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 0.7.7-1
- Initial packaging
